aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/vim_plugins.sh
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2023-05-22 07:35:53 +0000
committerEgor Tensin <Egor.Tensin@gmail.com>2023-05-22 07:35:55 +0000
commit01707c746f1b0ade415d033fdef679c227e01b7a (patch)
tree18652cf41968a43a4e66e8165f960cd171f7706a /vim_plugins.sh
parent.profile: add the normal sed to PATH on macOS (diff)
downloadlinux-home-01707c746f1b0ade415d033fdef679c227e01b7a.tar.gz
linux-home-01707c746f1b0ade415d033fdef679c227e01b7a.zip
ignore unsupported inherit_errexit
I have a really ancient machine with an even more ancient version of bash that doesn't support inherit_errexit. Ignore for now, put it back later.
Diffstat (limited to '')
-rwxr-xr-xvim_plugins.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/vim_plugins.sh b/vim_plugins.sh
index d2aa183..119244d 100755
--- a/vim_plugins.sh
+++ b/vim_plugins.sh
@@ -1,7 +1,8 @@
#!/usr/bin/env bash
set -o errexit -o nounset -o pipefail
-shopt -s inherit_errexit lastpipe
+shopt -s inherit_errexit 2> /dev/null || true
+shopt -s lastpipe
plugins_dir="$HOME/.vim/pack/plugins/start"
readonly plugins_dir